> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get model quality trend



## OpenAPI

````yaml /api-specs/cloud/dmm.json get /model-monitor/v2/api/model/{model_id}/model-quality-trend
openapi: 3.0.3
info:
  description: The API for programmatic access to Domino Model Monitor.
  title: Domino Model Monitor API
  version: 1.0.1
servers:
  - description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
    url: https://mycluster.domino.tech
security: []
tags:
  - description: All Dataset Job related operations.
    name: DatasetJob
  - description: All data source related operations.
    name: DataSource
  - description: All Model related operations.
    name: Model
  - description: Operations related to the management of model tags.
    name: ModelTag
  - description: All Model drift related operations.
    name: ModelDrift
  - description: All Model quality related operations.
    name: ModelQuality
  - description: All Workbench related operations.
    name: Workbench
  - description: Operations related to drift and model quality defaults setting in DMM.
    name: DefaultSettings
  - description: Operations related to configuring user related settings for DMM.
    name: UserSettings
  - description: >-
      Operations related to configuring notification channel config and alert
      recipients for the model.
    name: Notification
  - description: Other miscellaneous operations.
    name: Other
  - description: All scheduler related operations
    name: Scheduler
paths:
  /model-monitor/v2/api/model/{model_id}/model-quality-trend:
    summary: >-
      Returns model quality trend for the model for specific model quality
      metric.
    parameters:
      - description: Identifier of the model.
        in: path
        name: model_id
        required: true
        schema:
          type: string
      - description: Start time for the data used for the query.
        in: query
        name: startTimestamp
        required: true
        schema:
          type: number
      - description: End time for the data used for the query.
        in: query
        name: endTimestamp
        required: true
        schema:
          type: number
      - description: Metric used for the trend.
        in: query
        name: metricName
        required: true
        schema:
          type: string
    get:
      tags:
        - ModelQuality
      summary: Get model quality trend
      operationId: getModelQualityTrend
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MetricTrendArray'
          description: The model quality trend was fetched successfully.
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '500':
          description: Internal server error, check server logs.
      security:
        - DominoApiKeyAuth: []
        - DmmApiKeyAuth: []
        - cookieAuth: []
        - BearerAuth: []
components:
  schemas:
    MetricTrendArray:
      items:
        $ref: '#/components/schemas/MetricTrend'
      type: array
    MetricTrend:
      properties:
        numberOfRows:
          description: Number of rows for this trend point.
          type: number
        timestamp:
          description: Timestamp of the date for which this trend point exists.
          type: number
        value:
          description: Value of the trend point.
          nullable: true
          type: number
      required:
        - timestamp
      type: object
  securitySchemes:
    DominoApiKeyAuth:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    DmmApiKeyAuth:
      in: header
      name: X-DMM-API-KEY
      type: apiKey
    cookieAuth:
      in: cookie
      name: PLAY_SESSION
      type: apiKey
    BearerAuth:
      scheme: bearer
      type: http

````

## Related topics

- [Analyze model quality](/cloud/platform-capabilities/features/monitoring/5-use-monitoring/4-analyze-model-quality.md)
- [Get model column drift trend](/api-reference/modeldrift/get-model-column-drift-trend.md)
- [Get model quality scheduler query](/api-reference/modelquality/get-model-quality-scheduler-query.md)
- [Get model quality user query](/api-reference/modelquality/get-model-quality-user-query.md)
